import { Meta } from '@storybook/addon-docs/blocks';

import { IconSearch } from './components/IconSearch';
import { IconSearchResults } from './components/IconSearchResults';
import { IconSearchProvider } from './components/IconsSearchContext/IconSearchProvider';

<Meta title="Guides/Assets/Icon Explorer" />

# Icon Explorer

**Do not see the icon you are looking for?**

Reach out to us in <a href="https://preply.slack.com/archives/C024EAEHP6V">#design-system-public</a> with:

- a bit of context
- an icon draft (screenshot or Figma link)
- the icon name suggested

And we will drive you through the process!

## Usage

These SVGs allow recolouring via `<Icon color="..." />`, see [Icon](/story/components-content-icon-docs--page) docs for detailed information.

## Search icons

<IconSearchProvider>
    <IconSearch />
    <IconSearchResults />
</IconSearchProvider>
